Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Account Inquiry Result Notification

  • Endpoint: POST /accountInquiryResultNotifyUrl
  • Tags: Indonesia SNAP/Disbursement

Description

You do not need to request this url. The following request.body is the callback content from PayerMax regarding the order status. Upon receiving a callback for any order status, you must respond with: {"msg": "Success","code": "SUCCESS"}. This response only acknowledges that the callback has been received.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesMedia type of the resource.
X-SIGNATUREheaderstringYesRepresents signature of a request.
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • X-SIGNATURE: ""
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesCallback notification code, APPLY_SUCCESS means this is a valid callback.
responseMessagestringYesCallback notification description:Success.
beneficiaryAccountNamestringNomaxLength: 512Payee full name.
beneficiaryAccountNumberstringYesmaxLength: 128Payee account, fill in the corresponding account number according to the payment method.
additionalInfoobjectYes
additionalInfo.isVirtualAccountbooleanNoWhether it is a virtual account? true/false
additionalInfo.statusstringYesmaxLength: 32SUCCESS/INVALID_ACCOUNT_NUMBER/SUSPECTED_ACCOUNT/BLACK_LISTED/FAILED/CLOSED
partnerReferenceNostringYesmaxLength: 64Merchant Order Id, a unique identifier for a merchant transaction, must not be duplicated and can only contain letters, numbers, and underlines.
referenceNostringYesPayerMax transaction serial Order Number.
beneficiaryBankCodestringYesmaxLength: 64Target organization.

Example

json
{
  "beneficiaryAccountName": "TEST USER",
  "beneficiaryAccountNumber": "1234567890",
  "additionalInfo": {
    "isVirtualAccount": false,
    "status": "SUCCESS"
  },
  "partnerReferenceNo": "20260825152920150100122",
  "referenceNo": "202608251221920150100123",
  "beneficiaryBankCode": "BCA",
  "responseCode": "APPLY_SUCCESS",
  "responseMessage": "Success."
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYesResponse message.
codestringYesResponse code.

Response Example

json
{
  "msg": "Success",
  "code": "SUCCESS"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.